質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.78%

Unity Android SDKは入っているはずなのに、ビルドでエラーが出る

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 4,726

score 21

Android SDK や SDK Tools はインストール済みで、Unity側でのパスも正しいはずなのですが、Android用にビルドしようとすると、「SDK Tools version 0.0」と表示されます。
イメージ説明
イメージ説明
イメージ説明
outdatedが表示される前や、「Update~」や「Use~」を押すと、しばらくスムーズにビルドが行われている様ですが、結局ビルドに失敗しますし、ビルドしようとする度にこのoutdatedが出ます。

SDK Tools も 26.1.1 がインストールされているはずですが、C:/Androidの中に見つけられませんでした。
イメージ説明

<試したこと>
outdatedが表示された際、「Use Highest Installed」を押してみた所、build-tools 内に28.0.3 が追加されていましたが、状況は変わりませんでした。
イメージ説明
そのoutdatedが表示されていた時は、「SDK Tools version 0.0 < 28.0.3」となっていたと思います。

下の投稿も見てみましたが、APIも28と29がインストールされているのは確認済みです。
リンク内容
イメージ説明
イメージ説明

<バージョン>
Unity Hub:2.3.2
Unity:2019.2.15f1 (64-bit)
Android Studio:Version 4.0
JDK:jdk1.8.0_251
NDK:android-ndk-r16b (android-ndk-r16b-windows-x86_64)
SDK:tools 26.1.1 (?) C:¥Android 内にあるのか分からず

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • Yukirr4_

    2020/06/08 07:50

    Unityが推奨している物(チェックボックス2つ)は使えないのでしょうか。

    キャンセル

  • unity_user_a

    2020/06/08 15:26

    参考になりました!
    ありがとうございます!!

    キャンセル

  • Yukirr4_

    2020/06/08 15:29

    解決したのですか...?

    キャンセル

  • unity_user_a

    2020/06/08 15:42

    ビルドに成功したので、「解決」と致しました。

    キャンセル

回答 1

check解決した方法

0

ビルド出来ました!
イメージ説明
<やったこと>
①SDKをインストールしたフォルダを「D:」にもコピーで作成し、ビルド時のapkの保存場所に指定
②SDKのパスを「Android SDK~(recommended)」にチェック
③プロジェクトの保存場所を「C:/User/名前/~」から「C:/UnityProject/~」に変更

<補足>
①別のサイトにて、「最近のWindowsはCドライブに外部から書き込み出来ない様になっているはずだから、SDK Toolsでエラーが出るのでは?」とアドバイスを頂いたのを参考にしました。
②username_さんの意見を参考にしました。
イメージ説明
これでも、一度「SDK Tools version 0.0 < 26.1.1」と出ましたが、「Use Highest Installed」をクリックしたら、そのままビルド成功まで行けました。
③「名前」の部分が漢字だった。おそらく最大の原因。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.78%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る